org.gradle.api.plugins.antlr

## Class AntlrTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.api.tasks.SourceTask
        - - org.gradle.api.plugins.antlr.AntlrTask

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, PatternFilterable, org.gradle.util.Configurable<Task>

      public class AntlrTask
      extends SourceTask

  Generates parsers from Antlr grammars.

  Most properties here are self-evident, but I wanted to highlight one in particular: `setAntlrClasspath(org.gradle.api.file.FileCollection)` is used to define the classpath that should be passed along to the Ant `ANTLR` task as its classpath. That is the classpath it uses to perform generation execution. This should really only require the antlr jar. In `AntlrPlugin` usage, this would happen simply by adding your antlr jar into the 'antlr' dependency configuration created and exposed by the `AntlrPlugin` itself.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AntlrTask()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `generate()`
    `FileCollection` | `getAntlrClasspath()` Returns the classpath containing the Ant ANTLR task implementation.
    `File` | `getOutputDirectory()` Returns the directory to generate the parser source files into.
    `boolean` | `isTrace()` Specifies that all rules call `traceIn`/`traceOut`.
    `boolean` | `isTraceLexer()` Specifies that all lexer rules call `traceIn`/`traceOut`.
    `boolean` | `isTraceParser()` Specifies that all parser rules call `traceIn`/`traceOut`.
    `boolean` | `isTraceTreeWalker()` Specifies that all tree walker rules call `traceIn`/`traceOut`.
    `void` | `setAntlrClasspath(FileCollection antlrClasspath)` Specifies the classpath containing the Ant ANTLR task implementation.
    `void` | `setOutputDirectory(File outputDirectory)` Specifies the directory to generate the parser source files into.
    `void` | `setTrace(boolean trace)`
    `void` | `setTraceLexer(boolean traceLexer)`
    `void` | `setTraceParser(boolean traceParser)`
    `void` | `setTraceTreeWalker(boolean traceTreeWalker)`

    - ### Methods inherited from class org.gradle.api.tasks.SourceTask

      `exclude, exclude, exclude, exclude, getDefaultSource, getExcludes, getIncludes, getSource, include, include, include, include, setExcludes, setIncludes, setSource, source`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doLast, doLast, execute, executeWithoutThrowingTaskFailure, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getInputs, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getStateInternal, getTaskActions, getTaskDependencies, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, injectIntoNewInstance, isEnabled, leftShift, mustRunAfter, onlyIf, onlyIf, property, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setMustRunAfter, setName, setOnlyIf, setOnlyIf, setProject, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### AntlrTask

          public AntlrTask()

  - ### Method Detail

    - #### isTrace

          public boolean isTrace()

      Specifies that all rules call `traceIn`/`traceOut`.

    - #### setTrace

          public void setTrace(boolean trace)

    - #### isTraceLexer

          public boolean isTraceLexer()

      Specifies that all lexer rules call `traceIn`/`traceOut`.

    - #### setTraceLexer

          public void setTraceLexer(boolean traceLexer)

    - #### isTraceParser

          public boolean isTraceParser()

      Specifies that all parser rules call `traceIn`/`traceOut`.

    - #### setTraceParser

          public void setTraceParser(boolean traceParser)

    - #### isTraceTreeWalker

          public boolean isTraceTreeWalker()

      Specifies that all tree walker rules call `traceIn`/`traceOut`.

    - #### setTraceTreeWalker

          public void setTraceTreeWalker(boolean traceTreeWalker)

    - #### getOutputDirectory

          @OutputDirectory
          public File getOutputDirectory()

      Returns the directory to generate the parser source files into.
      Returns:
        The output directory.

    - #### setOutputDirectory

          public void setOutputDirectory(File outputDirectory)

      Specifies the directory to generate the parser source files into.
      Parameters:
        `outputDirectory` - The output directory. Must not be null.

    - #### getAntlrClasspath

          @InputFiles
          public FileCollection getAntlrClasspath()

      Returns the classpath containing the Ant ANTLR task implementation.
      Returns:
        The Ant task implementation classpath.

    - #### setAntlrClasspath

          public void setAntlrClasspath(FileCollection antlrClasspath)

      Specifies the classpath containing the Ant ANTLR task implementation.
      Parameters:
        `antlrClasspath` - The Ant task implementation classpath. Must not be null.

    - #### generate

          public void generate()